org.apache.xmlgraphics.java2d.color

## Class GrayScaleColorConverter

- java.lang.Object
- - org.apache.xmlgraphics.java2d.color.GrayScaleColorConverter

- All Implemented Interfaces:
    ColorConverter

      public final class GrayScaleColorConverter
      extends java.lang.Object
      implements ColorConverter

  Converts to grayscale using the standard RED=30%, GREEN=59% and BLUE=11% weights (see http://en.wikipedia.org/wiki/Grayscale)

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `convert(java.awt.Color color)` The color is converted to CMYK with just the K component.
    `static GrayScaleColorConverter` | `getInstance()` Returns a singleton instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static GrayScaleColorConverter getInstance()

      Returns a singleton instance.
      Returns:
        singleton instance of GrayScaleColorConverter

    - #### convert

          public java.awt.Color convert(java.awt.Color color)

      The color is converted to CMYK with just the K component.
      Specified by:
        `convert` in interface `ColorConverter`
      Parameters:
        `color` - to convert
      Returns:
        converted color

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.